Skip to content
Navigation

Get collection

GET
https://api.sureshake.com/v2/entities/{entityId}/collections/{id}

Path parameters

  • entityId
    string
    required
    format: uuid
  • id
    string
    required
    format: uuid

Returns

200

Default Response

JSON
  • data
    object
    required
    • id
      string
      required
      format: uuid
    • name
      string
      required
      maxLength: 255 · minLength: 1
    • description
      string
      or null
      required
    • entityId
      string
      required
      format: uuid
    • userId
      string
      required
    • parentId
      string
      or null
      required
      format: uuid
    • templateKey
      string
      or null
      required
    • externalSharingEnabled
      boolean
      required
    • status
      string
      required
    • version
      number
      required
    • createdAt
      string
      required
      format: date-time
    • updatedAt
      string
      required
      format: date-time
    • reportCount
      optional
      number
    • childCount
      optional
      number
    • subtreeReportCount
      optional
      number
    • ancestors
      optional
      array of
      object
      • id
        string
        required
        format: uuid
      • name
        string
        required
    • children
      optional
      array of
      object
      • id
        string
        required
        format: uuid
      • name
        string
        required
      • description
        string
        or null
        required
      • status
        string
        required
      • reportCount
        integer
        required
        minimum: 0
      • childCount
        integer
        required
        minimum: 0
      • subtreeReportCount
        integer
        required
        minimum: 0
      • updatedAt
        string
        required
        format: date-time
    • reports
      optional
      array of
      object
      • id
        string
        required
        format: uuid
      • title
        string
        required
      • report_type
        forecast
        or
        projection
        or
        actual
        or
        formal_report
        or
        periodic_report
        or
        annual_report
        +28 more
        required
      • status
        draft
        or
        uploading
        or
        attributes_added
        or
        ipfs_generated
        or
        submitted
        or
        verified
        +2 more
        required
      • is_public
        boolean
        required
      • owner_id
        string
        required
      • created_at
        string
        required
        format: date-time
      • updated_at
        string
        required
        format: date-time
      • description
        optional
        string
        or null
      • entity_id
        optional
        string
        or null
        format: uuid
      • linked_report_id
        optional
        string
        or null
        format: uuid
      • fiscal_period_start
        optional
        string
        or null
        format: date-time
      • fiscal_period_end
        optional
        string
        or null
        format: date-time
      • ipfs_hash
        optional
        string
        or null
      • ipfs_url
        optional
        string
        or null
      • document_key
        optional
        string
        or null
      • document_type
        optional
        string
        or null
      • nft_address
        optional
        string
        or null
      • nft_token_id
        optional
        string
        or null
      • transaction_hash
        optional
        string
        or null
      • data
        optional
        map of
        unknown
        or null
      • view_delivery
        optional

        Any of the following:

        • object
          • status
            ready
            required
          • receiptId
            string
            required
            format: uuid
          • source
            share
            or
            vault
            or
            direct
            or
            api
            required
          • expiresAt
            string
            required
            format: date-time
          • policyVersion
            report-view-delivery-v2
            required
        • object
          • status
            policyExcluded
            required
          • reason
            owner_self
            or
            blocked
            or
            non_external_traffic
            required
          • policyVersion
            report-view-delivery-v2
            required
        • object
          • status
            unavailable
            required
          • reason
            viewer_policy_unavailable
            or
            lineage_unavailable
            or
            tracking_unavailable
            required
          • policyVersion
            report-view-delivery-v2
            required
      • collection_ids
        optional
        array of
        string
        format: uuid
      • tags
        optional
        array of
        object
        • id
          string
          required
          format: uuid
        • name
          string
          required
        • visibility
          private
          or
          public
          required
    • sharePermission
      optional
      viewer
      or
      download
    • creditInfoSheets
      optional
      array of
      map<unknown>
    • loanPackages
      optional
      array of
      map<unknown>
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close